{
  "manifest_version": 3,
  "name": "__MSG_appName__",
  "short_name": "TokenPocket",
  "version": "2.8.0",
  "default_locale": "en",
  "description": "__MSG_appDescription__",
  "icons": {
    "16": "images/tp.png",
    "19": "images/tp.png",
    "32": "images/tp.png",
    "38": "images/tp.png",
    "48": "images/tp.png",
    "64": "images/tp.png",
    "128": "images/tp.png",
    "512": "images/tp.png"
  },
  "action": {
    "default_icon": {
      "16": "images/tp.png",
      "19": "images/tp.png",
      "32": "images/tp.png",
      "48": "images/tp.png",
      "128": "images/tp.png"
    },
    "default_title": "TokenPocket Extension Wallet",
    "default_popup": "popup.html?source=popup"
  },
  "author": "https:",
  "background": {
    "service_worker": "backgroundV3.js"
  },
  "content_scripts": [
    {
      "all_frames": true,
      "js": [
        "webextension-polyfill.js",
        "content-script.js"
      ],
      "matches": [
        "file://*/*",
        "http://*/*",
        "https://*/*",
        "*://connect.trezor.io/*/popup.html",
        "*://extension.keypal.pro/*/popup.html"
      ],
      "run_at": "document_start"
    }
  ],
  "permissions": [
    "storage",
    "unlimitedStorage",
    "notifications",
    "tabs",
    "offscreen",
    "activeTab",
    "windows",
    "sidePanel",
    "scripting"
  ],
  "content_security_policy": {
    "extension_pages": "script-src 'self'; object-src 'self'"
  },
  "web_accessible_resources": [
    {
      "resources": [
        "inpage.js",
        "user-media-permission.html",
        "popup.html"
      ],
      "matches": [
        "http://*/*",
        "https://*/*"
      ]
    }
  ],
  "host_permissions": [
    "<all_urls>"
  ],
  "side_panel": {
    "default_path": "sidebar.html"
  }
}
